#!/usr/bin/perl
#$Id: runinfo.cgi,v 1.6 2021/11/05 14:42:53 sqko Exp $
use strict;
use warnings;
use Elchemea;
use ElchemeaUser;
use ElchemeaCGI qw(:cgi);
use CGI qw(:standard :netscape);
print header(-access_control_allow_origin => '*');
my $u = param('user');
my $p = param('pass');
unless (&login_ok($u,$p))
{
    print "Access denied";
    exit;
}
my $user = ElchemeaUser->new(scalar(param('user')));
my @lines = Elchemea::get_proglog;
$lines[1] = Elchemea::format_time(Elchemea::get_remaining_time) if ($lines[1]);
print join("\n",$user->session,$user->get_measure_nr,@lines),"\n";
