#!/usr/bin/perl
#$Id: zip_file.cgi,v 1.2 2010/10/20 11:09:04 sofc Exp $
use strict;
use warnings;
use Elchemea;
use ElchemeaHeader;
use ElchemeaUser;
use ElchemeaCGI;
use CGI qw(:standard :netscape);
use File::Copy;

print header();
my $u = param('user');
my $p = param('pass');
exit unless (&ElchemeaCGI::login_ok($u,$p));
my $a = param('action');
if ($a && $a eq 'zip')
{
    my $tstr = join('_',Elchemea::get_time('now'));
    my $user = ElchemeaUser->new($u);
    my $s = param('session');
    $s = $user->session unless ($s);
    my $dir = $userdir.$user->name.'/'.$s;
    my $file = Elchemea::CGI_client('zip',$dir);
    my $fn = $tstr.'_data_'.$$.'.zip';
    my $target = $htmldir.'png/'.$fn;
    Elchemea::CGI_client('copy',$file,$target);
    Elchemea::CGI_client('unlink',$file);
    Elchemea::CGI_client('rmpng',$fn,120);
    print "OK\n";
    print $fn,"\n";
}
